[metadata]
description = "Assay system configuration focused exclusively on BioMarkX Respiratory Pathogen Panel 001"
version = "1.1.0"
last_updated = "2025-06-26"

[precedence]
order = ["BioMarkX Respiratory Pathogen Panel 001"]
strategy = "highest_priority"

[virus_normalization]
description = "Mapping from assay_target names to normalized virus names for consistent visualization"
version = "1.0.0"
last_updated = "2025-06-24"

[virus_categories]
description = "Viruses grouped by category for dashboard organization"

[assay_systems."BioMarkX Respiratory Pathogen Panel 001"]
name = "BioMarkX Respiratory Pathogen Panel"
description = "High-throughput respiratory pathogen detection panel"
enabled = true
priority = 1
technical_details = "BioMarkX microfluidic PCR platform with respiratory pathogen panel"
sensitivity = "high"
specificity = "high"
virus_targets = [ "Adenovirus", "Enterovirus", "Human Coronavirus 229E", "Human Coronavirus HKU1", "Human Coronavirus NL63", "Human Coronavirus OC43", "Human Metapneumovirus", "Influenza A H1N1", "Influenza A H3N2", "Influenza A_panvirus", "Influenza B", "RNAseP", "RSV_A", "RSV_A and RSV_B", "RSV_B", "SARS CoV2 N1", "SARS CoV2 N2", "no assay control",]

[reporting.labels]
"BioMarkX Respiratory Pathogen Panel 001" = "BioMarkX"

[virus_normalization.mapping]
# BioMarkX Respiratory Pathogen Panel 001 targets only
Adenovirus = "Adenovirus"
Enterovirus = "Enterovirus"
"Human Coronavirus 229E" = "Coronavirus 229E"
"Human Coronavirus HKU1" = "Coronavirus HKU1"
"Human Coronavirus NL63" = "Coronavirus NL63"
"Human Coronavirus OC43" = "Coronavirus OC43"
"Human Metapneumovirus" = "Metapneumovirus"
"Influenza A H1N1" = "Influenza A H1N1"
"Influenza A H3N2" = "Influenza A H3N2"
"Influenza A_panvirus" = "pan-Influenza A"
"Influenza B" = "Influenza B"
RNAseP = "RNAseP"
RSV_A = "RSV-A"
"RSV_A and RSV_B" = "pan-RSV"
RSV_B = "RSV-B"
"SARS CoV2 N1" = "SARS-CoV-2"
"SARS CoV2 N2" = "SARS-CoV-2"
"no assay control" = "no-assay-control"
